[odroid xu4] Drop kernel 3.10.y, default -> offical 4.14.y, next = vanilla 4.19.y http://ix.io/1rcZ & dev = n/a
This commit is contained in:
parent
25edddc583
commit
a26ccdee62
@ -1,14 +1,13 @@
|
||||
# Exynos5422 XU3/XU4 octa core
|
||||
BOARD_NAME="Odroid XU4"
|
||||
BOARDFAMILY="odroidxu4"
|
||||
BOOTCONFIG_DEFAULT="odroid_config"
|
||||
BOOTCONFIG_NEXT="odroid-xu4_defconfig"
|
||||
BOOTCONFIG_DEV="odroid-xu4_defconfig"
|
||||
#
|
||||
MODULES="bonding"
|
||||
MODULES_NEXT=""
|
||||
#
|
||||
KERNEL_TARGET="default,next,dev"
|
||||
KERNEL_TARGET="default,next"
|
||||
CLI_TARGET="stretch,bionic:next"
|
||||
DESKTOP_TARGET="stretch,bionic:next"
|
||||
#
|
||||
|
||||
@ -22,7 +22,7 @@ setenv verbosity "1"
|
||||
if ext4load mmc 0:1 0x44000000 /boot/armbianEnv.txt || fatload mmc 0:1 0x44000000 armbianEnv.txt || ext4load mmc 0:1 0x44000000 armbianEnv.txt; then env import -t 0x44000000 ${filesize}; fi
|
||||
|
||||
if test "${console}" = "display" || test "${console}" = "both"; then setenv consoleargs "console=tty1"; fi
|
||||
if test "${console}" = "serial" || test "${console}" = "both"; then setenv consoleargs "${consoleargs} console=ttySAC2,115200n8"; fi
|
||||
if test "${console}" = "serial" || test "${console}" = "both"; then setenv consoleargs "console=ttySAC2,115200n8 ${consoleargs}"; fi
|
||||
|
||||
setenv bootrootfs "${consoleargs} consoleblank=0 loglevel=${verbosity} panic=10 root=${rootdev} rootfstype=${rootfstype} rootwait rw"
|
||||
|
||||
|
||||
File diff suppressed because it is too large
Load Diff
File diff suppressed because it is too large
Load Diff
File diff suppressed because it is too large
Load Diff
@ -5,19 +5,6 @@ BOOTENV_FILE='odroidxu4-default.txt'
|
||||
|
||||
case $BRANCH in
|
||||
default)
|
||||
BOOTBRANCH='branch:odroidxu3-v2012.07'
|
||||
BOOTPATCHDIR='u-boot-odroidxu4-default'
|
||||
UBOOT_TARGET_MAP=';;sd_fuse/hardkernel/bl1.bin.hardkernel sd_fuse/hardkernel/bl2.bin.hardkernel u-boot.bin sd_fuse/hardkernel/tzsw.bin.hardkernel'
|
||||
UBOOT_USE_GCC='< 4.9'
|
||||
|
||||
KERNELSOURCE='https://github.com/hardkernel/linux'
|
||||
KERNELBRANCH='branch:odroidxu3-3.10.y'
|
||||
KERNELDIR='linux-odroidxu4'
|
||||
KERNEL_USE_GCC='> 5.0'
|
||||
CAN_BUILD_STRETCH=no
|
||||
;;
|
||||
|
||||
next)
|
||||
BOOTBRANCH='branch:odroidxu4-v2017.05'
|
||||
BOOTPATCHDIR='u-boot-odroidxu4-next'
|
||||
UBOOT_TARGET_MAP=';;sd_fuse/bl1.bin.hardkernel sd_fuse/bl2.bin.hardkernel.720k_uboot u-boot-dtb.bin sd_fuse/tzsw.bin.hardkernel'
|
||||
@ -26,21 +13,21 @@ case $BRANCH in
|
||||
KERNELSOURCE='https://github.com/hardkernel/linux'
|
||||
KERNELBRANCH='branch:odroidxu4-4.14.y'
|
||||
KERNELDIR='linux-odroidxu4'
|
||||
KERNELPATCHDIR='odroidxu4-next'
|
||||
|
||||
|
||||
KERNEL_USE_GCC='> 6.3'
|
||||
;;
|
||||
|
||||
dev)
|
||||
next)
|
||||
BOOTBRANCH='branch:odroidxu4-v2017.05'
|
||||
BOOTPATCHDIR='u-boot-odroidxu4-next'
|
||||
UBOOT_TARGET_MAP=';;sd_fuse/bl1.bin.hardkernel sd_fuse/bl2.bin.hardkernel.720k_uboot u-boot-dtb.bin sd_fuse/tzsw.bin.hardkernel'
|
||||
UBOOT_USE_GCC='> 6.3'
|
||||
|
||||
KERNELSOURCE='https://github.com/mihailescu2m/linux'
|
||||
KERNELBRANCH='branch:odroidxu4-4.18.y'
|
||||
KERNELSOURCE=$MAINLINE_KERNEL_SOURCE
|
||||
KERNELBRANCH='branch:linux-4.19.y'
|
||||
KERNELDIR=$MAINLINE_KERNEL_DIR
|
||||
KERNELPATCHDIR='odroidxu4-dev'
|
||||
KERNEL_USE_GCC='> 7.0'
|
||||
|
||||
KERNEL_USE_GCC='> 6.3'
|
||||
;;
|
||||
|
||||
File diff suppressed because it is too large
Load Diff
@ -1,28 +0,0 @@
|
||||
From: Sedat Dilek <sedat.dilek@gmail.com>
|
||||
|
||||
With OverlayFS v22 I get the following build error when
|
||||
CONFIG_OVERLAYFS_FS=m
|
||||
|
||||
ERROR: "d_ancestor" [fs/overlayfs/overlayfs.ko] undefined!
|
||||
|
||||
Fix this by adding the missing export.
|
||||
|
||||
Signed-off-by: Miklos Szeredi <mszeredi@suse.cz>
|
||||
---
|
||||
fs/dcache.c | 1 +
|
||||
1 file changed, 1 insertion(+)
|
||||
|
||||
diff --git a/fs/dcache.c b/fs/dcache.c
|
||||
index 42ae01eefc07..b233bfc849de 100644
|
||||
--- a/fs/dcache.c
|
||||
+++ b/fs/dcache.c
|
||||
@@ -2559,6 +2559,7 @@ struct dentry *d_ancestor(struct dentry *p1, struct dentry *p2)
|
||||
}
|
||||
return NULL;
|
||||
}
|
||||
+EXPORT_SYMBOL(d_ancestor);
|
||||
|
||||
/*
|
||||
* This helper attempts to cope with remotely renamed directories
|
||||
--
|
||||
1.8.1.4
|
||||
@ -1,11 +0,0 @@
|
||||
--- a/scripts/package/builddeb
|
||||
+++ b/scripts/package/builddeb
|
||||
@@ -218,7 +218,7 @@
|
||||
for script in postinst postrm preinst prerm ; do
|
||||
mkdir -p "$tmpdir$debhookdir/$script.d"
|
||||
cat <<EOF > "$tmpdir/DEBIAN/$script"
|
||||
-#!/bin/sh
|
||||
+#!/bin/bash
|
||||
|
||||
set -e
|
||||
|
||||
File diff suppressed because it is too large
Load Diff
@ -1,373 +0,0 @@
|
||||
diff --git a/scripts/package/builddeb b/scripts/package/builddeb
|
||||
index 3001ec5..dc76d3c
|
||||
--- a/scripts/package/builddeb
|
||||
+++ b/scripts/package/builddeb
|
||||
@@ -35,15 +35,17 @@ create_package() {
|
||||
sparc*)
|
||||
debarch=sparc ;;
|
||||
s390*)
|
||||
- debarch=s390 ;;
|
||||
+ debarch=s390$(grep -q CONFIG_64BIT=y $KCONFIG_CONFIG && echo x || true) ;;
|
||||
ppc*)
|
||||
- debarch=powerpc ;;
|
||||
+ debarch=$(grep -q CPU_LITTLE_ENDIAN=y $KCONFIG_CONFIG && echo ppc64el || echo powerpc) ;;
|
||||
parisc*)
|
||||
debarch=hppa ;;
|
||||
mips*)
|
||||
- debarch=mips$(grep -q CPU_LITTLE_ENDIAN=y .config && echo el) ;;
|
||||
+ debarch=mips$(grep -q CPU_LITTLE_ENDIAN=y $KCONFIG_CONFIG && echo el || true) ;;
|
||||
+ arm64)
|
||||
+ debarch=arm64 ;;
|
||||
arm*)
|
||||
- debarch=arm$(grep -q CONFIG_AEABI=y .config && echo el) ;;
|
||||
+ debarch=arm$(grep -q CONFIG_AEABI=y $KCONFIG_CONFIG && echo el || true) ;;
|
||||
*)
|
||||
echo "" >&2
|
||||
echo "** ** ** WARNING ** ** **" >&2
|
||||
@@ -61,8 +63,30 @@ create_package() {
|
||||
forcearch="-DArchitecture=$debarch"
|
||||
fi
|
||||
|
||||
+ # Create preinstall and post install script to remove dtb
|
||||
+ if [[ "$1" == *dtb* ]]; then
|
||||
+ echo "if [ -d /boot/dtb-$version ]; then mv /boot/dtb-$version /boot/dtb-$version.old; fi" >> $pdir/DEBIAN/preinst
|
||||
+ echo "if [ -d /boot/dtb.old ]; then rm -rf /boot/dtb.old; fi" >> $pdir/DEBIAN/preinst
|
||||
+ echo "if [ -d /dtb ]; then mv /dtb /dtb.old; fi" >> $pdir/DEBIAN/preinst
|
||||
+ echo "if [ -d /boot/dtb ]; then mv /boot/dtb /boot/dtb.old; fi" >> $pdir/DEBIAN/preinst
|
||||
+ echo "exit 0" >> $pdir/DEBIAN/preinst
|
||||
+ chmod 775 $pdir/DEBIAN/preinst
|
||||
+ #
|
||||
+ echo "if [ -d /boot/dtb.old ]; then rm -rf /boot/dtb.old; fi" >> $pdir/DEBIAN/postinst
|
||||
+ echo "ln -sf dtb-$version /boot/dtb > /dev/null 2>&1 || mv /boot/dtb-$version /boot/dtb" >> $pdir/DEBIAN/postinst
|
||||
+ echo "exit 0" >> $pdir/DEBIAN/postinst
|
||||
+ chmod 775 $pdir/DEBIAN/postinst
|
||||
+ fi
|
||||
+
|
||||
+ # Create postinstall script for headers
|
||||
+ if [[ "$1" == *headers* ]]; then
|
||||
+ echo "cd /usr/src/linux-headers-$version; echo \"Compiling headers - please wait ...\"; find -type f -exec touch {} +;make -s scripts >/dev/null 2>&1" >> $pdir/DEBIAN/postinst
|
||||
+ echo "exit 0" >> $pdir/DEBIAN/postinst
|
||||
+ chmod 775 $pdir/DEBIAN/postinst
|
||||
+ fi
|
||||
+
|
||||
# Create the package
|
||||
- dpkg-gencontrol -isp $forcearch -Vkernel:debarch="${debarch:-$(dpkg --print-architecture)}" -p$pname -P"$pdir"
|
||||
+ dpkg-gencontrol $forcearch -Vkernel:debarch="${debarch:-$(dpkg --print-architecture)}" -p$pname -P"$pdir"
|
||||
dpkg --build "$pdir" ..
|
||||
}
|
||||
|
||||
@@ -78,49 +102,76 @@ tmpdir="$objtree/debian/tmp"
|
||||
fwdir="$objtree/debian/fwtmp"
|
||||
kernel_headers_dir="$objtree/debian/hdrtmp"
|
||||
libc_headers_dir="$objtree/debian/headertmp"
|
||||
-packagename=linux-image-$version
|
||||
-fwpackagename=linux-firmware-image
|
||||
-kernel_headers_packagename=linux-headers-$version
|
||||
-libc_headers_packagename=linux-libc-dev
|
||||
+dtb_dir="$objtree/debian/dtbtmp"
|
||||
+dbg_dir="$objtree/debian/dbgtmp"
|
||||
+packagename=linux-image"$LOCALVERSION"
|
||||
+fwpackagename=linux-firmware-image"$LOCALVERSION"
|
||||
+kernel_headers_packagename=linux-headers"$LOCALVERSION"
|
||||
+dtb_packagename=linux-dtb"$LOCALVERSION"
|
||||
+libc_headers_packagename=linux-libc-dev"$LOCALVERSION"
|
||||
+dbg_packagename=$packagename-dbg
|
||||
|
||||
if [ "$ARCH" = "um" ] ; then
|
||||
packagename=user-mode-linux-$version
|
||||
fi
|
||||
|
||||
+# Not all arches have the same installed path in debian
|
||||
+# XXX: have each arch Makefile export a variable of the canonical image install
|
||||
+# path instead
|
||||
+case $ARCH in
|
||||
+um)
|
||||
+ installed_image_path="usr/bin/linux-$version"
|
||||
+ ;;
|
||||
+parisc|mips|powerpc)
|
||||
+ installed_image_path="boot/vmlinux-$version"
|
||||
+ ;;
|
||||
+*)
|
||||
+ installed_image_path="boot/vmlinuz-$version"
|
||||
+esac
|
||||
+
|
||||
+BUILD_DEBUG="$(grep -s '^CONFIG_DEBUG_INFO=y' $KCONFIG_CONFIG || true)"
|
||||
+
|
||||
# Setup the directory structure
|
||||
-rm -rf "$tmpdir" "$fwdir" "$kernel_headers_dir" "$libc_headers_dir"
|
||||
+rm -rf "$tmpdir" "$fwdir" "$kernel_headers_dir" "$libc_headers_dir" "$dbg_dir" "$dtb_dir"
|
||||
mkdir -m 755 -p "$tmpdir/DEBIAN"
|
||||
mkdir -p "$tmpdir/lib" "$tmpdir/boot" "$tmpdir/usr/share/doc/$packagename"
|
||||
mkdir -m 755 -p "$fwdir/DEBIAN"
|
||||
mkdir -p "$fwdir/lib/firmware/$version/" "$fwdir/usr/share/doc/$fwpackagename"
|
||||
mkdir -m 755 -p "$libc_headers_dir/DEBIAN"
|
||||
mkdir -p "$libc_headers_dir/usr/share/doc/$libc_headers_packagename"
|
||||
+
|
||||
+mkdir -m 755 -p "$dtb_dir/DEBIAN"
|
||||
+mkdir -p "$dtb_dir/boot/dtb-$version" "$dtb_dir/usr/share/doc/$dtb_packagename"
|
||||
+
|
||||
mkdir -m 755 -p "$kernel_headers_dir/DEBIAN"
|
||||
mkdir -p "$kernel_headers_dir/usr/share/doc/$kernel_headers_packagename"
|
||||
mkdir -p "$kernel_headers_dir/lib/modules/$version/"
|
||||
if [ "$ARCH" = "um" ] ; then
|
||||
mkdir -p "$tmpdir/usr/lib/uml/modules/$version" "$tmpdir/usr/bin"
|
||||
fi
|
||||
+if [ -n "$BUILD_DEBUG" ] ; then
|
||||
+ mkdir -p "$dbg_dir/usr/share/doc/$dbg_packagename"
|
||||
+ mkdir -m 755 -p "$dbg_dir/DEBIAN"
|
||||
+fi
|
||||
|
||||
# Build and install the kernel
|
||||
if [ "$ARCH" = "um" ] ; then
|
||||
$MAKE linux
|
||||
cp System.map "$tmpdir/usr/lib/uml/modules/$version/System.map"
|
||||
- cp .config "$tmpdir/usr/share/doc/$packagename/config"
|
||||
+ cp $KCONFIG_CONFIG "$tmpdir/usr/share/doc/$packagename/config"
|
||||
gzip "$tmpdir/usr/share/doc/$packagename/config"
|
||||
- cp $KBUILD_IMAGE "$tmpdir/usr/bin/linux-$version"
|
||||
-else
|
||||
+else
|
||||
cp System.map "$tmpdir/boot/System.map-$version"
|
||||
- cp .config "$tmpdir/boot/config-$version"
|
||||
- # Not all arches include the boot path in KBUILD_IMAGE
|
||||
- if [ -e $KBUILD_IMAGE ]; then
|
||||
- cp $KBUILD_IMAGE "$tmpdir/boot/vmlinuz-$version"
|
||||
- else
|
||||
- cp arch/$ARCH/boot/$KBUILD_IMAGE "$tmpdir/boot/vmlinuz-$version"
|
||||
- fi
|
||||
+ cp $KCONFIG_CONFIG "$tmpdir/boot/config-$version"
|
||||
+fi
|
||||
+# Not all arches include the boot path in KBUILD_IMAGE
|
||||
+if [ -e $KBUILD_IMAGE ]; then
|
||||
+ cp $KBUILD_IMAGE "$tmpdir/$installed_image_path"
|
||||
+else
|
||||
+ cp arch/$ARCH/boot/$KBUILD_IMAGE "$tmpdir/$installed_image_path"
|
||||
fi
|
||||
|
||||
-if grep -q '^CONFIG_MODULES=y' .config ; then
|
||||
+if grep -q '^CONFIG_MODULES=y' $KCONFIG_CONFIG ; then
|
||||
INSTALL_MOD_PATH="$tmpdir" $MAKE KBUILD_SRC= modules_install
|
||||
rm -f "$tmpdir/lib/modules/$version/build"
|
||||
rm -f "$tmpdir/lib/modules/$version/source"
|
||||
@@ -128,6 +179,24 @@ if grep -q '^CONFIG_MODULES=y' .config ; then
|
||||
mv "$tmpdir/lib/modules/$version"/* "$tmpdir/usr/lib/uml/modules/$version/"
|
||||
rmdir "$tmpdir/lib/modules/$version"
|
||||
fi
|
||||
+ if [ -n "$BUILD_DEBUG" ] ; then
|
||||
+ for module in $(find $tmpdir/lib/modules/ -name *.ko -printf '%P\n'); do
|
||||
+ module=lib/modules/$module
|
||||
+ mkdir -p $(dirname $dbg_dir/usr/lib/debug/$module)
|
||||
+ # only keep debug symbols in the debug file
|
||||
+ $OBJCOPY --only-keep-debug $tmpdir/$module $dbg_dir/usr/lib/debug/$module
|
||||
+ # strip original module from debug symbols
|
||||
+ $OBJCOPY --strip-debug $tmpdir/$module
|
||||
+ # then add a link to those
|
||||
+ $OBJCOPY --add-gnu-debuglink=$dbg_dir/usr/lib/debug/$module $tmpdir/$module
|
||||
+ done
|
||||
+ fi
|
||||
+fi
|
||||
+
|
||||
+if grep -q '^CONFIG_OF=y' $KCONFIG_CONFIG ; then
|
||||
+ mkdir -p "$tmpdir/boot/dtb-""$version"
|
||||
+ cp $objtree/arch/arm/boot/dts/*.dtb $dtb_dir/boot/dtb-$version
|
||||
+ #INSTALL_DTBS_PATH="$dtb_dir/boot/dtb" $MAKE KBUILD_SRC= dtbs_install
|
||||
fi
|
||||
|
||||
if [ "$ARCH" != "um" ]; then
|
||||
@@ -137,8 +206,15 @@ fi
|
||||
|
||||
# Install the maintainer scripts
|
||||
# Note: hook scripts under /etc/kernel are also executed by official Debian
|
||||
-# kernel packages, as well as kernel packages built using make-kpkg
|
||||
+# kernel packages, as well as kernel packages built using make-kpkg.
|
||||
+# make-kpkg sets $INITRD to indicate whether an initramfs is wanted, and
|
||||
+# so do we; recent versions of dracut and initramfs-tools will obey this.
|
||||
debhookdir=${KDEB_HOOKDIR:-/etc/kernel}
|
||||
+if grep -q '^CONFIG_BLK_DEV_INITRD=y' $KCONFIG_CONFIG; then
|
||||
+ want_initrd=Yes
|
||||
+else
|
||||
+ want_initrd=No
|
||||
+fi
|
||||
for script in postinst postrm preinst prerm ; do
|
||||
mkdir -p "$tmpdir$debhookdir/$script.d"
|
||||
cat <<EOF > "$tmpdir/DEBIAN/$script"
|
||||
@@ -147,14 +223,61 @@ for script in postinst postrm preinst prerm ; do
|
||||
set -e
|
||||
|
||||
# Pass maintainer script parameters to hook scripts
|
||||
+
|
||||
export DEB_MAINT_PARAMS="\$*"
|
||||
|
||||
-test -d $debhookdir/$script.d && run-parts --arg="$version" $debhookdir/$script.d
|
||||
+# Tell initramfs builder whether it's wanted
|
||||
+
|
||||
+export INITRD=$want_initrd
|
||||
+
|
||||
+test -d $debhookdir/$script.d && run-parts --arg="$version" --arg="/$installed_image_path" $debhookdir/$script.d
|
||||
exit 0
|
||||
EOF
|
||||
chmod 755 "$tmpdir/DEBIAN/$script"
|
||||
done
|
||||
|
||||
+##
|
||||
+## Create sym link to kernel image
|
||||
+##
|
||||
+kernel_tmp_version="${installed_image_path////\\/}"
|
||||
+sed -e "s/set -e//g" -i $tmpdir/DEBIAN/postinst
|
||||
+sed -e "s/exit 0//g" -i $tmpdir/DEBIAN/postinst
|
||||
+cat >> $tmpdir/DEBIAN/postinst <<EOT
|
||||
+ln -sf $(basename $kernel_tmp_version) /boot/zImage > /dev/null 2>&1 || mv /$kernel_tmp_version /boot/zImage
|
||||
+rm -f /boot/.next
|
||||
+
|
||||
+exit 0
|
||||
+EOT
|
||||
+##
|
||||
+## FAT install workaround
|
||||
+##
|
||||
+sed -e "s/set -e//g" -i $tmpdir/DEBIAN/preinst
|
||||
+sed -e "s/exit 0//g" -i $tmpdir/DEBIAN/preinst
|
||||
+cat >> $tmpdir/DEBIAN/preinst <<EOT
|
||||
+# exit if we are running chroot
|
||||
+if [ "\$(stat -c %d:%i /)" != "\$(stat -c %d:%i /proc/1/root/.)" ]; then exit 0; fi
|
||||
+
|
||||
+check_and_unmount (){
|
||||
+boot_device=\$(mountpoint -d /boot)
|
||||
+
|
||||
+for file in /dev/* ; do
|
||||
+ CURRENT_DEVICE=\$(printf "%d:%d" \$(stat --printf="0x%t 0x%T" \$file))
|
||||
+ if [[ "\$CURRENT_DEVICE" = "\$boot_device" ]]; then
|
||||
+ boot_partition=\$file
|
||||
+ break;
|
||||
+ fi
|
||||
+done
|
||||
+
|
||||
+bootfstype=\$(blkid -s TYPE -o value \$boot_partition)
|
||||
+if [ "\$bootfstype" = "vfat" ]; then
|
||||
+rm -f /boot/System.map* /boot/config* /boot/vmlinuz* /boot/zImage /boot/uImage
|
||||
+fi
|
||||
+}
|
||||
+mountpoint -q /boot && check_and_unmount
|
||||
+EOT
|
||||
+echo "exit 0" >> $tmpdir/DEBIAN/preinst
|
||||
+
|
||||
+
|
||||
# Try to determine maintainer and email values
|
||||
if [ -n "$DEBEMAIL" ]; then
|
||||
email=$DEBEMAIL
|
||||
@@ -172,9 +299,19 @@ else
|
||||
fi
|
||||
maintainer="$name <$email>"
|
||||
|
||||
+# Try to determine distribution
|
||||
+if [ -n "$KDEB_CHANGELOG_DIST" ]; then
|
||||
+ distribution=$KDEB_CHANGELOG_DIST
|
||||
+elif distribution=$(lsb_release -cs 2>/dev/null) && [ -n "$distribution" ]; then
|
||||
+ : # nothing to do in this case
|
||||
+else
|
||||
+ distribution="unstable"
|
||||
+ echo >&2 "Using default distribution of 'unstable' in the changelog"
|
||||
+ echo >&2 "Install lsb-release or set \$KDEB_CHANGELOG_DIST explicitly"
|
||||
+fi
|
||||
# Generate a simple changelog template
|
||||
cat <<EOF > debian/changelog
|
||||
-linux-upstream ($packageversion) unstable; urgency=low
|
||||
+linux-upstream ($packageversion) $distribution; urgency=low
|
||||
|
||||
* Custom built Linux kernel.
|
||||
|
||||
@@ -242,21 +379,32 @@ EOF
|
||||
|
||||
fi
|
||||
|
||||
-# Build header package
|
||||
-(cd $srctree; find . -name Makefile\* -o -name Kconfig\* -o -name \*.pl > "$objtree/debian/hdrsrcfiles")
|
||||
-(cd $srctree; find arch/$SRCARCH/include include scripts -type f >> "$objtree/debian/hdrsrcfiles")
|
||||
-(cd $objtree; find arch/$SRCARCH/include .config Module.symvers include scripts -type f >> "$objtree/debian/hdrobjfiles")
|
||||
+# Build kernel header package
|
||||
+(cd $srctree; find . -name Makefile\* -o -name Kconfig\* -o -name \*.pl) > "$objtree/debian/hdrsrcfiles"
|
||||
+(cd $srctree; find arch/$SRCARCH/include include scripts -type f) >> "$objtree/debian/hdrsrcfiles"
|
||||
+(cd $srctree; find arch/$SRCARCH -name module.lds -o -name Kbuild.platforms -o -name Platform) >> "$objtree/debian/hdrsrcfiles"
|
||||
+(cd $srctree; find $(find arch/$SRCARCH -name include -o -name scripts -type d) -type f) >> "$objtree/debian/hdrsrcfiles"
|
||||
+(cd $objtree; find arch/$SRCARCH/include Module.symvers include scripts -type f) >> "$objtree/debian/hdrobjfiles"
|
||||
destdir=$kernel_headers_dir/usr/src/linux-headers-$version
|
||||
mkdir -p "$destdir"
|
||||
-(cd $srctree; tar -c -f - -T "$objtree/debian/hdrsrcfiles") | (cd $destdir; tar -xf -)
|
||||
-(cd $objtree; tar -c -f - -T "$objtree/debian/hdrobjfiles") | (cd $destdir; tar -xf -)
|
||||
+######################## headers patch
|
||||
+ZACNI=$(pwd)
|
||||
+cd $destdir
|
||||
+patch -p1 < /tmp/headers-debian-byteshift.patch
|
||||
+cd $ZACNI
|
||||
+######################## headers patch
|
||||
+(cd $srctree; tar -c -f - -T -) < "$objtree/debian/hdrsrcfiles" | (cd $destdir; tar -xf -)
|
||||
+(cd $objtree; tar -c -f - -T -) < "$objtree/debian/hdrobjfiles" | (cd $destdir; tar -xf -)
|
||||
+(cd $objtree; cp $KCONFIG_CONFIG $destdir/.config) # copy .config manually to be where it's expected to be
|
||||
ln -sf "/usr/src/linux-headers-$version" "$kernel_headers_dir/lib/modules/$version/build"
|
||||
rm -f "$objtree/debian/hdrsrcfiles" "$objtree/debian/hdrobjfiles"
|
||||
|
||||
+(cd "$destdir"; make M=scripts clean)
|
||||
+
|
||||
cat <<EOF >> debian/control
|
||||
|
||||
Package: $kernel_headers_packagename
|
||||
-Provides: linux-headers, linux-headers-2.6
|
||||
+Provides: linux-headers
|
||||
Architecture: any
|
||||
Description: Linux kernel headers for $KERNELRELEASE on \${kernel:debarch}
|
||||
This package provides kernel header files for $KERNELRELEASE on \${kernel:debarch}
|
||||
@@ -282,6 +430,16 @@ fi
|
||||
|
||||
cat <<EOF >> debian/control
|
||||
|
||||
+Package: $dtb_packagename
|
||||
+Architecture: any
|
||||
+Description: Linux DTB, version $version
|
||||
+ This package contains device blobs from the Linux kernel, version $version.
|
||||
+EOF
|
||||
+
|
||||
+create_package "$dtb_packagename" "$dtb_dir"
|
||||
+
|
||||
+cat <<EOF >> debian/control
|
||||
+
|
||||
Package: $libc_headers_packagename
|
||||
Section: devel
|
||||
Provides: linux-kernel-headers
|
||||
@@ -293,9 +451,35 @@ EOF
|
||||
|
||||
if [ "$ARCH" != "um" ]; then
|
||||
create_package "$kernel_headers_packagename" "$kernel_headers_dir"
|
||||
- create_package "$libc_headers_packagename" "$libc_headers_dir"
|
||||
+# create_package "$libc_headers_packagename" "$libc_headers_dir"
|
||||
fi
|
||||
|
||||
create_package "$packagename" "$tmpdir"
|
||||
|
||||
-exit 0
|
||||
+if [ -n "$BUILD_DEBUG" ] ; then
|
||||
+ # Build debug package
|
||||
+ # Different tools want the image in different locations
|
||||
+ # perf
|
||||
+ mkdir -p $dbg_dir/usr/lib/debug/lib/modules/$version/
|
||||
+ cp vmlinux $dbg_dir/usr/lib/debug/lib/modules/$version/
|
||||
+ # systemtap
|
||||
+ mkdir -p $dbg_dir/usr/lib/debug/boot/
|
||||
+ ln -s ../lib/modules/$version/vmlinux $dbg_dir/usr/lib/debug/boot/vmlinux-$version
|
||||
+ # kdump-tools
|
||||
+ ln -s lib/modules/$version/vmlinux $dbg_dir/usr/lib/debug/vmlinux-$version
|
||||
+
|
||||
+ cat <<EOF >> debian/control
|
||||
+
|
||||
+Package: $dbg_packagename
|
||||
+Section: debug
|
||||
+Provides: linux-debug, linux-debug-$version
|
||||
+Architecture: any
|
||||
+Description: Linux kernel debugging symbols for $version
|
||||
+ This package will come in handy if you need to debug the kernel. It provides
|
||||
+ all the necessary debug symbols for the kernel and its modules.
|
||||
+EOF
|
||||
+
|
||||
+ create_package "$dbg_packagename" "$dbg_dir"
|
||||
+fi
|
||||
+
|
||||
+exit 0
|
||||
\ No newline at end of file
|
||||
@ -40,11 +40,11 @@ index 0bc8747..9dab810 100755
|
||||
-packagename=linux-image-$version
|
||||
-kernel_headers_packagename=linux-headers-$version
|
||||
-libc_headers_packagename=linux-libc-dev
|
||||
+packagename=linux-image-next"$LOCALVERSION"
|
||||
+fwpackagename=linux-firmware-image-next"$LOCALVERSION"
|
||||
+kernel_headers_packagename=linux-headers-next"$LOCALVERSION"
|
||||
+dtb_packagename=linux-dtb-next"$LOCALVERSION"
|
||||
+libc_headers_packagename=linux-libc-dev-next"$LOCALVERSION"
|
||||
+packagename=linux-image"$LOCALVERSION"
|
||||
+fwpackagename=linux-firmware-image"$LOCALVERSION"
|
||||
+kernel_headers_packagename=linux-headers"$LOCALVERSION"
|
||||
+dtb_packagename=linux-dtb"$LOCALVERSION"
|
||||
+libc_headers_packagename=linux-libc-dev"$LOCALVERSION"
|
||||
dbg_packagename=$packagename-dbg
|
||||
debarch=
|
||||
forcearch=
|
||||
@ -1,34 +0,0 @@
|
||||
From 7c56752a792d81a4baf2f0c259ba220bee07a38b Mon Sep 17 00:00:00 2001
|
||||
From: DarkBahamut <darkbahamut@gmail.com>
|
||||
Date: Wed, 27 Jun 2018 01:04:14 +0100
|
||||
Subject: [PATCH 18/20] arm: dts: exynos: Correct cooling device maps for
|
||||
odroid xu3/4
|
||||
|
||||
---
|
||||
arch/arm/boot/dts/exynos5422-odroidxu3-trip-points.dtsi | 4 ++--
|
||||
1 file changed, 2 insertions(+), 2 deletions(-)
|
||||
|
||||
diff --git a/arch/arm/boot/dts/exynos5422-odroidxu3-trip-points.dtsi b/arch/arm/boot/dts/exynos5422-odroidxu3-trip-points.dtsi
|
||||
index f9c3254d565f..ca08f2944e31 100644
|
||||
--- a/arch/arm/boot/dts/exynos5422-odroidxu3-trip-points.dtsi
|
||||
+++ b/arch/arm/boot/dts/exynos5422-odroidxu3-trip-points.dtsi
|
||||
@@ -82,7 +82,7 @@
|
||||
*/
|
||||
map4 {
|
||||
trip = <&UNIQIFY(cpu_alert4)>;
|
||||
- cooling-device = <&cpu4 2 8>;
|
||||
+ cooling-device = <&cpu4 4 8>;
|
||||
};
|
||||
/*
|
||||
* When reaching cpu_alert5, reduce all CPUs to ensure thermal
|
||||
@@ -95,6 +95,6 @@
|
||||
};
|
||||
map6 {
|
||||
trip = <&UNIQIFY(cpu_alert5)>;
|
||||
- cooling-device = <&cpu4 5 14>;
|
||||
+ cooling-device = <&cpu4 8 14>;
|
||||
};
|
||||
};
|
||||
--
|
||||
2.17.1
|
||||
|
||||
File diff suppressed because it is too large
Load Diff
File diff suppressed because it is too large
Load Diff
@ -38,10 +38,10 @@ index 90c9a8a..3c79b90 100755
|
||||
-kernel_headers_packagename=linux-headers-$version
|
||||
-libc_headers_packagename=linux-libc-dev
|
||||
+dtb_dir="$objtree/debian/dtbtmp"
|
||||
+packagename=linux-image-dev"$LOCALVERSION"
|
||||
+kernel_headers_packagename=linux-headers-dev"$LOCALVERSION"
|
||||
+dtb_packagename=linux-dtb-dev"$LOCALVERSION"
|
||||
+libc_headers_packagename=linux-libc-dev-dev"$LOCALVERSION"
|
||||
+packagename=linux-image-next"$LOCALVERSION"
|
||||
+kernel_headers_packagename=linux-headers-next"$LOCALVERSION"
|
||||
+dtb_packagename=linux-dtb-next"$LOCALVERSION"
|
||||
+libc_headers_packagename=linux-libc-dev-next"$LOCALVERSION"
|
||||
dbg_packagename=$packagename-dbg
|
||||
|
||||
if [ "$ARCH" = "um" ] ; then
|
||||
@ -50,7 +50,7 @@ index 90c9a8a..3c79b90 100755
|
||||
# path instead
|
||||
case $ARCH in
|
||||
+aarch64|arm64)
|
||||
+ image_name=Image
|
||||
+ image_name=zImage
|
||||
+ installed_image_path="boot/vmlinuz-$version"
|
||||
+
|
||||
+ ;;
|
||||
@ -104,11 +104,11 @@ index 90c9a8a..3c79b90 100755
|
||||
+sed -e "s/exit 0//g" -i $tmpdir/DEBIAN/postinst
|
||||
+cat >> $tmpdir/DEBIAN/postinst <<EOT
|
||||
+if [ "\$(grep nand /proc/partitions)" != "" ] && [ "\$(grep mmc /proc/partitions)" = "" ]; then
|
||||
+ mkimage -A arm -O linux -T kernel -C none -a "0x40008000" -e "0x40008000" -n "Linux kernel" -d /$installed_image_path /boot/uImage > /dev/null 2>&1
|
||||
+ cp /boot/uImage /tmp/uImage
|
||||
+ mkimage -A arm -O linux -T kernel -C none -a "0x40008000" -e "0x40008000" -n "Linux kernel" -d /$installed_image_path /boot/zImage > /dev/null 2>&1
|
||||
+ cp /boot/zImage /tmp/zImage
|
||||
+ sync
|
||||
+ mountpoint -q /boot || mount /boot
|
||||
+ cp /tmp/uImage /boot/uImage
|
||||
+ cp /tmp/uImage /boot/zImage
|
||||
+ rm -f /$installed_image_path
|
||||
+else
|
||||
+ ln -sf $(basename $installed_image_path) /boot/$image_name || mv /$installed_image_path /boot/$image_name
|
||||
@ -185,9 +185,9 @@ index 6adb3a1..00e12eb 100755
|
||||
sourcename=$KDEB_SOURCENAME
|
||||
-packagename=linux-image-$version
|
||||
-kernel_headers_packagename=linux-headers-$version
|
||||
+packagename=linux-image-dev$LOCALVERSION
|
||||
+kernel_headers_packagename=linux-headers-dev$LOCALVERSION
|
||||
+dtb_packagename=linux-dtb-dev$LOCALVERSION
|
||||
+packagename=linux-image-next$LOCALVERSION
|
||||
+kernel_headers_packagename=linux-headers-next$LOCALVERSION
|
||||
+dtb_packagename=linux-dtb-next$LOCALVERSION
|
||||
dbg_packagename=$packagename-dbg
|
||||
debarch=
|
||||
+image_name=
|
||||
@ -1,55 +0,0 @@
|
||||
diff --git a/drivers/regulator/s2mps11.c b/drivers/regulator/s2mps11.c
|
||||
index 4849b44..f0ccd33 100644
|
||||
--- a/drivers/regulator/s2mps11.c
|
||||
+++ b/drivers/regulator/s2mps11.c
|
||||
@@ -1094,8 +1094,21 @@ static const struct regulator_desc s2mpu02_regulators[] = {
|
||||
static int s2mps11_pmic_ethonoff(struct platform_device *pdev, bool onoff)
|
||||
{
|
||||
struct sec_pmic_dev *iodev = dev_get_drvdata(pdev->dev.parent);
|
||||
+ unsigned int reg_val = 0;
|
||||
int ret = 0;
|
||||
|
||||
+ ret = regmap_read(iodev->regmap_pmic, S2MPS11_REG_L15CTRL, ®_val);
|
||||
+ if (ret) {
|
||||
+ dev_err(&pdev->dev, "failed to read S2MPS11_REG_L15CTRL value\n");
|
||||
+ return ret;
|
||||
+ }
|
||||
+
|
||||
+ ret = regmap_read(iodev->regmap_pmic, S2MPS11_REG_L17CTRL, ®_val);
|
||||
+ if (ret) {
|
||||
+ dev_err(&pdev->dev, "failed to read S2MPS11_REG_L17CTRL value\n");
|
||||
+ return ret;
|
||||
+ }
|
||||
+
|
||||
if (onoff) {
|
||||
/* ETH VDD0 ON */
|
||||
ret = regmap_update_bits(iodev->regmap_pmic, S2MPS11_REG_L15CTRL, 0xFF, 0x72);
|
||||
@@ -1221,24 +1234,14 @@ static int s2mps11_wdt_enable(struct sec_pmic_dev *iodev)
|
||||
/* USB3.0 Hub Power OFF(GL3512) : BUCK9 */
|
||||
static void s2mps11_buck9_reset(struct sec_pmic_dev *iodev)
|
||||
{
|
||||
- int ret;
|
||||
- unsigned int reg_val;
|
||||
-
|
||||
- ret = regmap_read(iodev->regmap_pmic, S2MPS11_REG_B9CTRL1, ®_val);
|
||||
-
|
||||
- if (ret < 0) {
|
||||
- pr_err("%s : could not read S2MPS11_REG_B9CTRL1 value\n", __func__);
|
||||
- return;
|
||||
- }
|
||||
-
|
||||
- mdelay (10);
|
||||
- if (regmap_update_bits(iodev->regmap_pmic,
|
||||
+ if(regmap_update_bits(iodev->regmap_pmic,
|
||||
S2MPS11_REG_B9CTRL1, 0xC0, 0))
|
||||
pr_err("%s : S2MPS11_REG_B9CTRL1 Error!!\n", __func__);
|
||||
|
||||
- mdelay (10);
|
||||
+ mdelay(10);
|
||||
+
|
||||
if (regmap_update_bits(iodev->regmap_pmic,
|
||||
- S2MPS11_REG_B9CTRL1, 0xFF, reg_val))
|
||||
+ S2MPS11_REG_B9CTRL1, 0xC0, 0xC0))
|
||||
pr_err("%s : S2MPS11_REG_B9CTRL1 Error!!\n", __func__);
|
||||
}
|
||||
|
||||
162
patch/kernel/odroidxu4-next/overclock-1.5-2.0.patch.disabled
Normal file
162
patch/kernel/odroidxu4-next/overclock-1.5-2.0.patch.disabled
Normal file
@ -0,0 +1,162 @@
|
||||
diff --git a/arch/arm/boot/dts/exynos5422-cpus.dtsi b/arch/arm/boot/dts/exynos5422-cpus.dtsi
|
||||
index e4a5857c1..9bbba9809 100644
|
||||
--- a/arch/arm/boot/dts/exynos5422-cpus.dtsi
|
||||
+++ b/arch/arm/boot/dts/exynos5422-cpus.dtsi
|
||||
@@ -26,7 +26,7 @@
|
||||
compatible = "arm,cortex-a7";
|
||||
reg = <0x100>;
|
||||
clocks = <&clock CLK_KFC_CLK>;
|
||||
- clock-frequency = <1000000000>;
|
||||
+ clock-frequency = <1500000000>;
|
||||
cci-control-port = <&cci_control0>;
|
||||
operating-points-v2 = <&cluster_a7_opp_table>;
|
||||
#cooling-cells = <2>; /* min followed by max */
|
||||
@@ -38,7 +38,7 @@
|
||||
compatible = "arm,cortex-a7";
|
||||
reg = <0x101>;
|
||||
clocks = <&clock CLK_KFC_CLK>;
|
||||
- clock-frequency = <1000000000>;
|
||||
+ clock-frequency = <1500000000>;
|
||||
cci-control-port = <&cci_control0>;
|
||||
operating-points-v2 = <&cluster_a7_opp_table>;
|
||||
#cooling-cells = <2>; /* min followed by max */
|
||||
@@ -50,7 +50,7 @@
|
||||
compatible = "arm,cortex-a7";
|
||||
reg = <0x102>;
|
||||
clocks = <&clock CLK_KFC_CLK>;
|
||||
- clock-frequency = <1000000000>;
|
||||
+ clock-frequency = <1500000000>;
|
||||
cci-control-port = <&cci_control0>;
|
||||
operating-points-v2 = <&cluster_a7_opp_table>;
|
||||
#cooling-cells = <2>; /* min followed by max */
|
||||
@@ -62,7 +62,7 @@
|
||||
compatible = "arm,cortex-a7";
|
||||
reg = <0x103>;
|
||||
clocks = <&clock CLK_KFC_CLK>;
|
||||
- clock-frequency = <1000000000>;
|
||||
+ clock-frequency = <1500000000>;
|
||||
cci-control-port = <&cci_control0>;
|
||||
operating-points-v2 = <&cluster_a7_opp_table>;
|
||||
#cooling-cells = <2>; /* min followed by max */
|
||||
@@ -74,7 +74,7 @@
|
||||
compatible = "arm,cortex-a15";
|
||||
reg = <0x0>;
|
||||
clocks = <&clock CLK_ARM_CLK>;
|
||||
- clock-frequency = <1800000000>;
|
||||
+ clock-frequency = <2000000000>;
|
||||
cci-control-port = <&cci_control1>;
|
||||
operating-points-v2 = <&cluster_a15_opp_table>;
|
||||
#cooling-cells = <2>; /* min followed by max */
|
||||
@@ -86,7 +86,7 @@
|
||||
compatible = "arm,cortex-a15";
|
||||
reg = <0x1>;
|
||||
clocks = <&clock CLK_ARM_CLK>;
|
||||
- clock-frequency = <1800000000>;
|
||||
+ clock-frequency = <2000000000>;
|
||||
cci-control-port = <&cci_control1>;
|
||||
operating-points-v2 = <&cluster_a15_opp_table>;
|
||||
#cooling-cells = <2>; /* min followed by max */
|
||||
@@ -98,7 +98,7 @@
|
||||
compatible = "arm,cortex-a15";
|
||||
reg = <0x2>;
|
||||
clocks = <&clock CLK_ARM_CLK>;
|
||||
- clock-frequency = <1800000000>;
|
||||
+ clock-frequency = <2000000000>;
|
||||
cci-control-port = <&cci_control1>;
|
||||
operating-points-v2 = <&cluster_a15_opp_table>;
|
||||
#cooling-cells = <2>; /* min followed by max */
|
||||
@@ -110,7 +110,7 @@
|
||||
compatible = "arm,cortex-a15";
|
||||
reg = <0x3>;
|
||||
clocks = <&clock CLK_ARM_CLK>;
|
||||
- clock-frequency = <1800000000>;
|
||||
+ clock-frequency = <2000000000>;
|
||||
cci-control-port = <&cci_control1>;
|
||||
operating-points-v2 = <&cluster_a15_opp_table>;
|
||||
#cooling-cells = <2>; /* min followed by max */
|
||||
diff --git a/arch/arm/boot/dts/exynos5800.dtsi b/arch/arm/boot/dts/exynos5800.dtsi
|
||||
index 57d3b319f..5e6b55094 100644
|
||||
--- a/arch/arm/boot/dts/exynos5800.dtsi
|
||||
+++ b/arch/arm/boot/dts/exynos5800.dtsi
|
||||
@@ -21,6 +21,19 @@
|
||||
};
|
||||
|
||||
&cluster_a15_opp_table {
|
||||
+ opp-2000000000 {
|
||||
+ opp-hz = /bits/ 64 <2000000000>;
|
||||
+ opp-microvolt = <1312500>;
|
||||
+ clock-latency-ns = <140000>;
|
||||
+ };
|
||||
+ opp-1900000000 {
|
||||
+ opp-hz = /bits/64 <1900000000>;
|
||||
+ opp-microvolt = <1250000>;
|
||||
+ clock-latency-ns = <140000>;
|
||||
+ };
|
||||
+ opp-1800000000 {
|
||||
+ opp-microvolt = <1200000>;
|
||||
+ };
|
||||
opp-1700000000 {
|
||||
opp-microvolt = <1250000>;
|
||||
};
|
||||
@@ -82,8 +95,20 @@
|
||||
};
|
||||
|
||||
&cluster_a7_opp_table {
|
||||
+ opp-1500000000 {
|
||||
+ opp-hz = /bits/ 64 <1500000000>;
|
||||
+ opp-microvolt = <1250000>;
|
||||
+ clock-latency-ns = <140000>;
|
||||
+ };
|
||||
+ opp-1400000000 {
|
||||
+ opp-hz = /bits/ 64 <1400000000>;
|
||||
+ opp-microvolt = <1250000>;
|
||||
+ clock-latency-ns = <140000>;
|
||||
+ };
|
||||
opp-1300000000 {
|
||||
+ opp-hz = /bits/ 64 <1300000000>;
|
||||
opp-microvolt = <1250000>;
|
||||
+ clock-latency-ns = <140000>;
|
||||
};
|
||||
opp-1200000000 {
|
||||
opp-microvolt = <1250000>;
|
||||
diff --git a/drivers/clk/samsung/clk-exynos5420.c b/drivers/clk/samsung/clk-exynos5420.c
|
||||
index 95e1bf694..04f049832 100644
|
||||
--- a/drivers/clk/samsung/clk-exynos5420.c
|
||||
+++ b/drivers/clk/samsung/clk-exynos5420.c
|
||||
@@ -1398,6 +1398,8 @@ static struct samsung_pll_clock exynos5x_plls[nr_plls] __initdata = {
|
||||
((cpud) << 4)))
|
||||
|
||||
static const struct exynos_cpuclk_cfg_data exynos5420_eglclk_d[] __initconst = {
|
||||
+ { 2000000, E5420_EGL_DIV0(3, 7, 7, 4), },
|
||||
+ { 1900000, E5420_EGL_DIV0(3, 7, 7, 4), },
|
||||
{ 1800000, E5420_EGL_DIV0(3, 7, 7, 4), },
|
||||
{ 1700000, E5420_EGL_DIV0(3, 7, 7, 3), },
|
||||
{ 1600000, E5420_EGL_DIV0(3, 7, 7, 3), },
|
||||
@@ -1445,6 +1447,7 @@ static const struct exynos_cpuclk_cfg_data exynos5800_eglclk_d[] __initconst = {
|
||||
((((kpll) << 24) | ((pclk) << 20) | ((aclk) << 4)))
|
||||
|
||||
static const struct exynos_cpuclk_cfg_data exynos5420_kfcclk_d[] __initconst = {
|
||||
+ { 1500000, E5420_KFC_DIV(3, 5, 3), },
|
||||
{ 1400000, E5420_KFC_DIV(3, 5, 3), }, /* for Exynos5800 */
|
||||
{ 1300000, E5420_KFC_DIV(3, 5, 2), },
|
||||
{ 1200000, E5420_KFC_DIV(3, 5, 2), },
|
||||
diff --git a/drivers/cpufreq/cpufreq.c b/drivers/cpufreq/cpufreq.c
|
||||
index f53fb41ef..04215e3c3 100644
|
||||
--- a/drivers/cpufreq/cpufreq.c
|
||||
+++ b/drivers/cpufreq/cpufreq.c
|
||||
@@ -1229,6 +1229,15 @@ static int cpufreq_online(unsigned int cpu)
|
||||
cpumask_and(policy->cpus, policy->cpus, cpu_online_mask);
|
||||
|
||||
if (new_policy) {
|
||||
+
|
||||
+ if (cpumask_test_cpu(0, policy->cpus)) {
|
||||
+ policy->min = 200000;
|
||||
+ policy->max = 1500000;
|
||||
+ } else {
|
||||
+ policy->min = 200000;
|
||||
+ policy->max = 2000000;
|
||||
+ }
|
||||
+
|
||||
policy->user_policy.min = policy->min;
|
||||
policy->user_policy.max = policy->max;
|
||||
|
||||
@ -301875,7 +301875,7 @@ new file mode 100644
|
||||
index 0000000000000..324b45bd223fd
|
||||
--- /dev/null
|
||||
+++ b/drivers/net/wireless/rtl8188eu/include/wifi.h
|
||||
@@ -0,0 +1,1103 @@
|
||||
@@ -0,0 +1,1105 @@
|
||||
+/******************************************************************************
|
||||
+ *
|
||||
+ * Copyright(c) 2007 - 2012 Realtek Corporation. All rights reserved.
|
||||
@ -302608,7 +302608,9 @@ index 0000000000000..324b45bd223fd
|
||||
+ * According to IEEE802.11n spec size varies from 8K to 64K (in powers of 2)
|
||||
+ */
|
||||
+#define IEEE80211_MIN_AMPDU_BUF 0x8
|
||||
+#if (LINUX_VERSION_CODE < KERNEL_VERSION(4,19,0))
|
||||
+#define IEEE80211_MAX_AMPDU_BUF 0x40
|
||||
+#endif
|
||||
+
|
||||
+/* Spatial Multiplexing Power Save Modes */
|
||||
+#define WLAN_HT_CAP_SM_PS_STATIC 0
|
||||
@ -311898,7 +311900,7 @@ new file mode 100644
|
||||
index 0000000000000..fadf117a54b6a
|
||||
--- /dev/null
|
||||
+++ b/drivers/net/wireless/rtl8188eu/os_dep/os_intfs.c
|
||||
@@ -0,0 +1,1273 @@
|
||||
@@ -0,0 +1,1276 @@
|
||||
+/******************************************************************************
|
||||
+ *
|
||||
+ * Copyright(c) 2007 - 2011 Realtek Corporation. All rights reserved.
|
||||
@ -312553,7 +312555,10 @@ index 0000000000000..fadf117a54b6a
|
||||
+}
|
||||
+
|
||||
+static u16 rtw_select_queue(struct net_device *dev, struct sk_buff *skb
|
||||
+#if (LINUX_VERSION_CODE >= KERNEL_VERSION(3, 14, 0))
|
||||
+#if (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 19, 0))
|
||||
+ ,struct net_device *sb_dev
|
||||
+ ,select_queue_fallback_t fallback
|
||||
+#elif (LINUX_VERSION_CODE >= KERNEL_VERSION(3, 14, 0))
|
||||
+ ,void *unused
|
||||
+ ,select_queue_fallback_t fallback
|
||||
+#elif (LINUX_VERSION_CODE == KERNEL_VERSION(3, 13, 0))
|
||||
Loading…
Reference in New Issue
Block a user